Package org.eclipse.gef.ui.actions

# Class EditorPartAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.gef.ui.actions.WorkbenchPartAction
org.eclipse.gef.ui.actions.EditorPartAction

All Implemented Interfaces:
  `Disposable`, `UpdateAction`, `IAction`

Direct Known Subclasses:
  `SaveAction`

public abstract class EditorPartAction extends WorkbenchPartAction

## Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`EditorPartAction(IEditorPart editor)`
Constructs a new EditorPartAction with the given editor.
`EditorPartAction(IEditorPart editor, int style)`
Constructs a new EditorPartAction with the given editor and style.

## Method Summary

Modifier and Type
Method
Description
`protected IEditorPart`
`getEditorPart()`
Returns the editor associated with this action.
`protected void`
`setEditorPart(IEditorPart part)`
Sets the editor.

### Methods inherited from class org.eclipse.gef.ui.actions.WorkbenchPartAction

`calculateEnabled, dispose, execute, getCommandStack, getWorkbenchPart, init, isEnabled, refresh, setLazyEnablementCalculation, setWorkbenchPart, update`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, run, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EditorPartAction

public EditorPartAction(IEditorPart editor, int style)
Constructs a new EditorPartAction with the given editor and style.

Parameters:
  `editor` - The editor to be associated with this action.
  `style` - the Action's style as defined in Action

### EditorPartAction

public EditorPartAction(IEditorPart editor)
Constructs a new EditorPartAction with the given editor.

Parameters:
  `editor` - The editor to be associated with this action.

## Method Details

### getEditorPart

protected IEditorPart getEditorPart()
Returns the editor associated with this action.

Returns:
  the Editor part

### setEditorPart

protected void setEditorPart(IEditorPart part)
Sets the editor.

Parameters:
  `part` - the editorpart